<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
    th:replace="~{main-layout.html::main-fragment(~{::title},~{::#basket-main-content})}">

<head>
<meta charset="UTF-8">
<title>Panier</title>
</head>
<body>
    <div class="containner-fluid" id="basket-main-content">
    <h1 class="text-center my-5">Panier</h1>
    <h3 th:if="${#lists.isEmpty(panier)}" class="text-center my-5 text-secondary">Vide</h3> 
    <div class="col-md-6 offset-md-3">
    <table th:unless="${#lists.isEmpty(panier)}" class="table" >
         <tr th:each="basketline : ${panier}">
                <td th:text="${basketline.livre.titre}" /></td>
                <td>
                <a class="btn btn-sm btn-secondary" th:href="@{/store/basketdec/{idlb}(idlb=${basketline.livre.id})}">-</a>
                <span th:text="${basketline.quantity}"></span>
                 <a class="btn btn-sm btn-secondary" th:href="@{/store/basketinc/{idlb}(idlb=${basketline.livre.id})}">+</a>
                </td>
                <td th:with="prix=${basketline.livre.prix} * ${basketline.quantity}"><p  th:text="${#numbers.formatDecimal(prix,2,2,'COMMA')}"></p></td>
                <td><a class="btn btn-sm btn-danger" th:href="@{/store/basketremove/{idlb}(idlb=${basketline.livre.id})}">X</a></td>
            </tr> 
            <tr><td></td><td class="fw-bolder">Total</td><td class="fw-bolder" th:text="${#numbers.formatDecimal(#aggregates.sum(panier.![total]),2,2,'COMMA')}"></td><td></td></tr>
    </table>
    </div>
    </div>
</body>
</html>